function [g1, T_order, T] = dynamic_g1(y, x, params, steady_state, sparse_rowval, sparse_colval, sparse_colptr, T_order, T)
if nargin < 9
    T_order = -1;
    T = NaN(92, 1);
end
[T_order, T] = JEEM2015.sparse.dynamic_g1_tt(y, x, params, steady_state, T_order, T);
g1_v = NaN(163, 1);
g1_v(1)=(-(params(14)*1/y(2)));
g1_v(2)=(-T(24));
g1_v(3)=(-(params(15)*1/y(5)));
g1_v(4)=(-(y(55)*T(47)));
g1_v(5)=(-(y(39)*T(46)));
g1_v(6)=(-(T(2)+y(6)*T(45)));
g1_v(7)=(-T(10));
g1_v(8)=(-(1-y(62)));
g1_v(9)=(-(T(18)*T(17)*y(35)*T(28)*y(59)*T(59)));
g1_v(10)=y(42)*T(19)*y(35)*(1-params(5))*T(28)*y(59)*T(59);
g1_v(11)=y(42)*T(17)*y(35)*params(5)*T(28)*y(59)*T(60);
g1_v(12)=(-(params(16)*1/y(18)));
g1_v(13)=(-(1-params(11)));
g1_v(14)=(-(params(31)*1/y(27)));
g1_v(15)=(-(params(35)*1/y(31)));
g1_v(16)=(-(T(36)*T(87)/(1-params(32))));
g1_v(17)=(-(T(12)*T(88)));
g1_v(18)=(-(T(9)*T(37)*T(87)))-y(48)*T(37)*T(87);
g1_v(19)=T(13)*T(88);
g1_v(20)=(-(T(14)*T(3)*y(88)*T(88)));
g1_v(21)=1;
g1_v(22)=(-1);
g1_v(23)=(-(y(51)*T(35)));
g1_v(24)=(-(T(18)*T(17)*T(16)*T(28)));
g1_v(25)=y(42)*T(19)*T(16)*(1-params(5))*T(28);
g1_v(26)=y(42)*T(17)*T(20)*params(5)*T(28);
g1_v(27)=1/y(35);
g1_v(28)=(-(T(36)/(1-params(32))));
g1_v(29)=(-(T(12)*T(38)));
g1_v(30)=(-(T(9)*T(37)))-y(48)*T(37);
g1_v(31)=T(13)*T(38);
g1_v(32)=(-(T(14)*T(3)*y(88)*T(38)));
g1_v(33)=(-1);
g1_v(34)=(-(y(50)*y(42)*T(39)));
g1_v(35)=(-(y(50)*T(39)));
g1_v(36)=(-(y(50)*(T(15)+params(6)*y(65)*(1-y(57)))*T(39)));
g1_v(37)=(-(y(50)*T(15)));
g1_v(38)=(-(T(17)*T(16)*y(35)*T(28)*T(42)));
g1_v(39)=1;
g1_v(40)=(-(y(50)*params(6)*(1-y(57))));
g1_v(41)=(-(y(50)*T(15)));
g1_v(42)=(-1);
g1_v(43)=(-1);
g1_v(44)=1/y(38);
g1_v(45)=(-(y(55)*(T(50)-T(51)/y(6))+T(33)*T(54)+T(14)*y(88)*T(32)*T(55)));
g1_v(46)=(-(T(26)+y(39)*T(50)));
g1_v(47)=(-1);
g1_v(48)=(-(y(6)*T(49)));
g1_v(49)=T(32)*T(61);
g1_v(50)=1;
g1_v(51)=(-(T(36)*T(62)/(1-params(32))));
g1_v(52)=(-(T(12)*T(63)));
g1_v(53)=(-(T(9)*T(37)*T(62)+T(6)*T(64)))-y(48)*T(37)*T(62);
g1_v(54)=T(13)*T(63);
g1_v(55)=(-(T(14)*T(3)*y(88)*T(63)));
g1_v(56)=(-(T(18)*T(16)*y(35)*T(28)*T(65)));
g1_v(57)=y(42)*T(16)*y(35)*(1-params(5))*T(28)*T(66);
g1_v(58)=y(42)*T(20)*y(35)*params(5)*T(28)*T(65);
g1_v(59)=T(19)*T(16)*y(35)*(1-params(5))*T(28);
g1_v(60)=T(17)*T(20)*y(35)*params(5)*T(28);
g1_v(61)=(-(y(50)*T(21)));
g1_v(62)=(-1);
g1_v(63)=1;
g1_v(64)=1;
g1_v(65)=(-((1-params(7))*getPowerDeriv(y(44),1-params(17),1)));
g1_v(66)=(-((1-params(7))*getPowerDeriv(y(44),(-params(17)),1)));
g1_v(67)=(-1)/(y(45)*y(45));
g1_v(68)=params(1);
g1_v(69)=(-1);
g1_v(70)=(-1);
g1_v(71)=1;
g1_v(72)=(-T(6));
g1_v(73)=(-1);
g1_v(74)=T(70);
g1_v(75)=1;
g1_v(76)=(-y(66))/(y(50)*y(50));
g1_v(77)=1-T(15)*y(37);
g1_v(78)=1;
g1_v(79)=(-(y(42)*T(21)));
g1_v(80)=(-T(21));
g1_v(81)=(-(T(21)*(T(15)+params(6)*y(65)*(1-y(57)))));
g1_v(82)=(-(y(37)*params(6)*(1-y(57))));
g1_v(83)=(-(T(15)*y(37)));
g1_v(84)=(-T(30));
g1_v(85)=1/y(51);
g1_v(86)=(-((-(params(17)/(params(17)-1)*(y(49)+y(54))))/(y(52)*y(52))));
g1_v(87)=1;
g1_v(88)=(-(params(7)*getPowerDeriv(y(53),params(17)-1,1)));
g1_v(89)=(-(y(4)*T(71)));
g1_v(90)=T(70);
g1_v(91)=1;
g1_v(92)=(-1);
g1_v(93)=(-T(27));
g1_v(94)=(-(T(18)*T(17)*T(16)*y(35)*(-(params(19)+params(20)*2*y(56)))));
g1_v(95)=y(42)*T(19)*T(16)*y(35)*(1-params(5))*(-(params(19)+params(20)*2*y(56)));
g1_v(96)=y(42)*T(17)*T(20)*y(35)*params(5)*(-(params(19)+params(20)*2*y(56)));
g1_v(97)=1;
g1_v(98)=(-(y(37)*y(50)*T(76)));
g1_v(99)=(-(params(8)*params(9)*getPowerDeriv(y(57),params(9)-1,1)));
g1_v(100)=(-(y(50)*T(21)*(T(76)+params(6)*(-y(65)))));
g1_v(101)=(-(T(76)+params(6)*(-y(65))));
g1_v(102)=(-(y(37)*y(50)*(-params(6))));
g1_v(103)=(-(y(37)*y(50)*T(76)));
g1_v(104)=1;
g1_v(105)=(-(params(21)*getPowerDeriv(y(59),params(22),1)/params(22)));
g1_v(106)=(-(y(7)*T(77)));
g1_v(107)=params(21)*getPowerDeriv(y(59),params(22)-1,1)+params(23)*y(60)*T(78);
g1_v(108)=(-(T(18)*T(17)*y(35)*T(28)*y(7)*T(59)));
g1_v(109)=y(42)*T(19)*y(35)*(1-params(5))*T(28)*y(7)*T(59);
g1_v(110)=y(42)*T(17)*y(35)*params(5)*T(28)*y(7)*T(60);
g1_v(111)=params(23)*T(11);
g1_v(112)=T(32)*T(79);
g1_v(113)=(-y(61));
g1_v(114)=1/y(60);
g1_v(115)=1;
g1_v(116)=(-y(60));
g1_v(117)=(-params(36));
g1_v(118)=1;
g1_v(119)=T(32)*(-y(88));
g1_v(120)=y(7);
g1_v(121)=1;
g1_v(122)=(-(T(36)*T(81)/(1-params(32))));
g1_v(123)=(-(T(12)*T(85)));
g1_v(124)=(-(T(9)*T(84)))-y(48)*T(84);
g1_v(125)=T(13)*T(85);
g1_v(126)=(-(T(14)*T(3)*y(88)*T(85)));
g1_v(127)=1/y(64);
g1_v(128)=params(6);
g1_v(129)=(-(y(50)*T(21)*params(6)*(1-y(57))));
g1_v(130)=(-(params(6)*(1-y(57))));
g1_v(131)=y(66);
g1_v(132)=1/y(50);
g1_v(133)=(-(T(12)*T(92)));
g1_v(134)=T(13)*T(92);
g1_v(135)=(-(T(14)*T(3)*y(88)*T(92)));
g1_v(136)=1;
g1_v(137)=(-1);
g1_v(138)=y(65);
g1_v(139)=(-(T(12)*T(41)));
g1_v(140)=T(13)*T(41);
g1_v(141)=(-(T(14)*T(3)*y(88)*T(41)));
g1_v(142)=(-(T(33)*T(57)+T(14)*T(58)));
g1_v(143)=(-(T(12)*T(69)));
g1_v(144)=T(13)*T(69);
g1_v(145)=(-(T(14)*T(3)*y(88)*T(69)));
g1_v(146)=T(32);
g1_v(147)=(-T(22));
g1_v(148)=(-T(23));
g1_v(149)=(-(T(32)*T(72)));
g1_v(150)=(-(y(82)*T(73)));
g1_v(151)=(-(y(85)*T(74)));
g1_v(152)=(-(y(87)*T(73)));
g1_v(153)=(-(y(51)*T(25)*T(75)));
g1_v(154)=(-T(22));
g1_v(155)=(1-y(62))*T(32);
g1_v(156)=(-(T(14)*T(3)*T(32)));
g1_v(157)=T(32)*T(80);
g1_v(158)=(-params(1));
g1_v(159)=(-1);
g1_v(160)=(-1);
g1_v(161)=(-1);
g1_v(162)=(-1);
g1_v(163)=(-1);
if ~isoctave && matlab_ver_less_than('9.8')
    sparse_rowval = double(sparse_rowval);
    sparse_colval = double(sparse_colval);
end
g1 = sparse(sparse_rowval, sparse_colval, g1_v, 33, 104);
end
