function [T_order, T] = dynamic_g1_tt(y, x, params, steady_state, T_order, T)
if T_order >= 1
    return
end
[T_order, T] = JEEM2015.sparse.dynamic_resid_tt(y, x, params, steady_state, T_order, T);
T_order = 1;
if size(T, 1) < 92
    T = [T; NaN(92 - size(T, 1), 1)];
end
T(34) = 1/params(39)*getPowerDeriv(y(34)/params(39),params(13),1);
T(35) = T(29)*T(34);
T(36) = getPowerDeriv(T(5),1-params(32),1);
T(37) = getPowerDeriv(T(5),(-params(32)),1);
T(38) = (-(T(31)*T(37)))/(T(6)*T(6));
T(39) = (-1)/(y(36)*y(36));
T(40) = getPowerDeriv(T(8),(-params(32)),1);
T(41) = params(1)*T(40)/T(6);
T(42) = (-1)/(y(37)*y(37));
T(43) = (-y(39))/(y(6)*y(6));
T(44) = 2*(y(39)/y(6)-1);
T(45) = T(1)*T(43)*T(44);
T(46) = (-T(45));
T(47) = T(46)-(y(6)*y(39)*params(4)*T(43)-y(39)*params(4)*(y(39)/y(6)-1))/(y(6)*y(6));
T(48) = 1/y(6);
T(49) = T(1)*T(44)*T(48);
T(50) = (-T(49));
T(51) = params(4)*(y(39)/y(6)-1)+y(39)*params(4)*T(48);
T(52) = (-y(72))/(y(39)*y(39));
T(53) = 2*y(72)/y(39);
T(54) = T(52)*T(53);
T(55) = params(4)*T(52);
T(56) = 1/y(39);
T(57) = T(53)*T(56);
T(58) = y(88)*T(32)*params(4)*T(56);
T(59) = getPowerDeriv(y(59)*y(7),params(5),1);
T(60) = getPowerDeriv(y(59)*y(7),params(5)-1,1);
T(61) = (-((-(y(60)*y(94)))/(y(40)*y(40))));
T(62) = (-(params(2)*getPowerDeriv(y(41),1+params(3),1)/(1+params(3))));
T(63) = (-(T(31)*T(37)*T(62)))/(T(6)*T(6));
T(64) = (-params(2))*getPowerDeriv(y(41),params(3),1);
T(65) = getPowerDeriv(y(41),1-params(5),1);
T(66) = getPowerDeriv(y(41),(-params(5)),1);
T(67) = (-(params(2)*getPowerDeriv(y(74),1+params(3),1)/(1+params(3))));
T(68) = params(1)*T(40)*T(67);
T(69) = T(68)/T(6);
T(70) = (-(params(17)/(params(17)-1)/y(52)));
T(71) = params(7)*getPowerDeriv(y(53),params(17),1);
T(72) = (-1)/(y(86)*y(86));
T(73) = params(1)*params(7)*getPowerDeriv(y(86),params(17),1);
T(74) = params(1)*params(7)*getPowerDeriv(y(86),params(17)-1,1);
T(75) = getPowerDeriv(y(86),params(12),1);
T(76) = params(8)*getPowerDeriv(y(57),params(9),1);
T(77) = params(23)*getPowerDeriv(y(59),params(24),1)/params(24);
T(78) = getPowerDeriv(y(59),params(24)-1,1);
T(79) = (-(y(94)/y(40)));
T(80) = (-(y(60)/y(40)));
T(81) = (-(T(4)/(1+params(33))));
T(82) = (-(T(7)/(1+params(33))));
T(83) = params(1)*T(40)*T(82);
T(84) = T(37)*T(81);
T(85) = (T(6)*T(83)-T(31)*T(84))/(T(6)*T(6));
T(86) = getPowerDeriv(y(33),1+params(33),1);
T(87) = (-(y(64)*T(86)/(1+params(33))));
T(88) = (-(T(31)*T(37)*T(87)))/(T(6)*T(6));
T(89) = getPowerDeriv(y(66),1+params(33),1);
T(90) = (-(y(64)*T(89)/(1+params(33))));
T(91) = params(1)*T(40)*T(90);
T(92) = T(91)/T(6);
end
