function [residual, T_order, T] = dynamic_resid(y, x, params, steady_state, T_order, T)
if nargin < 6
    T_order = -1;
    T = NaN(33, 1);
end
[T_order, T] = JEEM2015.sparse.dynamic_resid_tt(y, x, params, steady_state, T_order, T);
residual = NaN(33, 1);
    residual(1) = (y(66)/y(50)) - (params(40));
    residual(2) = (y(63)) - (T(5)^(1-params(32))/(1-params(32))+params(1)*y(96));
    residual(3) = (y(62)) - (params(21)*y(59)^params(22)/params(22));
    residual(4) = (y(61)) - (T(10)*y(7));
    residual(5) = (params(21)*y(59)^(params(22)-1)+params(23)*y(60)*T(11)) - (y(46));
    residual(6) = (1/y(45)) - (T(12)*T(32));
    residual(7) = ((-(T(6)*T(9)))) - (T(6)*y(48));
    residual(8) = (T(13)*T(32)) - (y(55));
    residual(9) = (1) - (y(55)*T(27)+T(14)*T(33));
    residual(10) = (y(40)) - (y(7)*(1-y(62))+y(39)*T(26));
    residual(11) = (y(34)) - (y(39)+y(36)+y(38));
    residual(12) = (y(50)) - (y(61)*y(60)+y(34)+y(50)*T(15)*y(37)+y(6)*T(2));
    residual(13) = (y(50)) - (T(18)*T(17)*T(16)*y(35)*T(28));
    residual(14) = (y(42)*T(19)*T(16)*y(35)*(1-params(5))*T(28)) - (y(48));
    residual(15) = (y(42)*T(17)*T(20)*y(35)*params(5)*T(28)) - (y(46));
    residual(16) = (params(6)*y(65)) - (params(8)*params(9)*y(57)^(params(9)-1));
    residual(17) = (y(44)) - (params(17)/(params(17)-1)*(y(49)+y(54))/y(52));
    residual(18) = (y(49)) - (y(50)*y(42)*T(21)+T(22)*y(82));
    residual(19) = (y(52)) - (y(50)*T(21)+T(23)*y(85));
    residual(20) = (y(54)) - (y(50)*T(21)*(T(15)+params(6)*y(65)*(1-y(57)))+T(22)*y(87));
    residual(21) = (1) - (params(7)*y(53)^(params(17)-1)+(1-params(7))*y(44)^(1-params(17)));
    residual(22) = (y(37)) - ((1-params(7))*y(44)^(-params(17))+T(24)*y(4));
    residual(23) = (y(43)) - (params(6)*y(65)*(1-y(57))+T(15)+y(42));
    residual(24) = (y(66)) - (y(37)*y(50)*params(6)*(1-y(57))+y(61)*params(36));
    residual(25) = (y(56)) - (y(66)+(1-params(11))*y(23)+params(10));
    residual(26) = (y(58)) - (y(50)*T(15)*y(37));
    residual(27) = (y(47)+y(66)*y(65)) - (y(38));
    residual(28) = (params(1)*y(45)) - (y(51)*T(30));
    residual(29) = (log(y(35))) - ((1-params(14))*log(params(25))+params(14)*log(y(2))+x(1));
    residual(30) = (log(y(51))) - ((1-params(16))*log(params(27))+params(16)*log(y(18))+x(3));
    residual(31) = (log(y(38))) - ((1-params(15))*log(params(26))+params(15)*log(y(5))+x(2));
    residual(32) = (log(y(60))) - ((1-params(31))*log(params(30))+params(31)*log(y(27))+x(4));
    residual(33) = (log(y(64))) - ((1-params(35))*log(params(34))+params(35)*log(y(31))+x(5));
end
