function [T_order, T] = dynamic_resid_tt(y, x, params, steady_state, T_order, T)
if T_order >= 0
    return
end
T_order = 0;
if size(T, 1) < 33
    T = [T; NaN(33 - size(T, 1), 1)];
end
T(1) = params(4)/2;
T(2) = T(1)*(y(39)/y(6)-1)^2;
T(3) = params(4)*(y(72)/y(39)-1);
T(4) = y(33)^(1+params(33));
T(5) = y(36)-params(2)*y(41)^(1+params(3))/(1+params(3))-y(64)*T(4)/(1+params(33));
T(6) = T(5)^(-params(32));
T(7) = y(66)^(1+params(33));
T(8) = y(69)-params(2)*y(74)^(1+params(3))/(1+params(3))-y(64)*T(7)/(1+params(33));
T(9) = (-params(2))*y(41)^params(3);
T(10) = params(23)*y(59)^params(24)/params(24);
T(11) = y(59)^(params(24)-1);
T(12) = 1/y(86);
T(13) = y(79)+(1-y(62))*y(88)-y(60)*y(94)/y(40);
T(14) = (y(72)/y(39))^2;
T(15) = params(8)*y(57)^params(9);
T(16) = (y(59)*y(7))^params(5);
T(17) = y(41)^(1-params(5));
T(18) = 1/y(37);
T(19) = y(41)^(-params(5));
T(20) = (y(59)*y(7))^(params(5)-1);
T(21) = 1/y(36);
T(22) = params(1)*params(7)*y(86)^params(17);
T(23) = params(1)*params(7)*y(86)^(params(17)-1);
T(24) = params(7)*y(53)^params(17);
T(25) = (y(34)/params(39))^params(13);
T(26) = 1-T(2);
T(27) = T(26)-y(39)*params(4)*(y(39)/y(6)-1)/y(6);
T(28) = 1-(params(18)+params(19)*y(56)+params(20)*y(56)^2);
T(29) = y(86)^params(12);
T(30) = T(25)*T(29);
T(31) = params(1)*T(8)^(-params(32));
T(32) = T(31)/T(6);
T(33) = T(3)*y(88)*T(32);
end
