function [T_order, T] = static_g1_tt(y, x, params, T_order, T)
if T_order >= 1
    return
end
[T_order, T] = JEEM2015.sparse.static_resid_tt(y, x, params, T_order, T);
T_order = 1;
if size(T, 1) < 32
    T = [T; NaN(32 - size(T, 1), 1)];
end
T(21) = getPowerDeriv(T(2),1-params(32),1);
T(22) = getPowerDeriv(T(2),(-params(32)),1);
T(23) = getPowerDeriv(y(26)*y(7),params(5),1);
T(24) = getPowerDeriv(y(26)*y(7),params(5)-1,1);
T(25) = (-(params(2)*getPowerDeriv(y(8),1+params(3),1)/(1+params(3))));
T(26) = getPowerDeriv(y(8),1-params(5),1);
T(27) = (-(params(17)/(params(17)-1)/y(19)));
T(28) = getPowerDeriv(y(20),params(17),1);
T(29) = params(1)*params(7)*T(28);
T(30) = getPowerDeriv(y(20),params(17)-1,1);
T(31) = params(8)*getPowerDeriv(y(24),params(9),1);
T(32) = (-(y(31)*getPowerDeriv(y(33),1+params(33),1)/(1+params(33))));
end
