function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 32);

T = JEEM2015.static_resid_tt(T, y, x, params);

T(21) = getPowerDeriv(T(2),1-params(32),1);
T(22) = getPowerDeriv(T(2),(-params(32)),1);
T(23) = getPowerDeriv(y(26)*y(7),params(5),1);
T(24) = getPowerDeriv(y(26)*y(7),params(5)-1,1);
T(25) = (-(params(2)*getPowerDeriv(y(8),1+params(3),1)/(1+params(3))));
T(26) = getPowerDeriv(y(8),1-params(5),1);
T(27) = (-(params(17)/(params(17)-1)/y(19)));
T(28) = getPowerDeriv(y(20),params(17),1);
T(29) = params(1)*params(7)*T(28);
T(30) = getPowerDeriv(y(20),params(17)-1,1);
T(31) = params(8)*getPowerDeriv(y(24),params(9),1);
T(32) = (-(y(31)*getPowerDeriv(y(33),1+params(33),1)/(1+params(33))));

end
