function [ee, V1] = findCCV(lambda, V2, i, ufun, C1, L1, Z1b, bbeta, muM)

C1b = (1+lambda).*C1;
uu = ufun(C1b, L1, Z1b, muM);
dum1 = uu(i:end);
Nb = length(dum1);
bbeta2 = bbeta.^(0:Nb-1)';
ub = bbeta2.*dum1;
V1 =sum(ub);

ee = V2(i) - V1;