parameters bbeta muL phi gammaI aalpha varphi nu phi1 phi2 Zstar
deltaM tau_pi tau_Y rho_A rho_G rho_eta theta gamma0 gamma1 gamma2
om0 om1 nu0 nu1
A_ss G_ss eta_ss M_ss Y_ss pE_ss
rho_E sigC phiM muM_ss rho_M varphiE pz_ss u_ss
GDP_ss
@#if policy == 1
@#elseif policy == 2
        Z
@#elseif policy == 3
        int
@#endif
;

%%%%%%%%%%%%%%%%%%%%%
//% pz_ss = 0.05;   //%  0.0000001; //% 
set_param_value('pz_ss',pz_ss);
%%%%%%%%%%%%%%%%%%%%%%
 %calibrated parameters
 nu =  0.75;   //%  0.0000001; //%
% muL = 1;   
deltaM = 0.0021;
varphi = 0.45;

%%%%%%%%%%%%%%%%%%%%%
sigC = 2; //%1.39;
//% set_param_value('sigC',sigC);
%%%%%%%%%%%%%%%%%%%%%%

phi = 1; //% 1.92;
phiM = 1; //% 1.92;
aalpha = 0.3;
bbeta = 0.98;
gammaI = 2;
theta = 6;
% phi1 = 0.185;
phi2 = 2.8;
gamma0 = 1.395e-3;
gamma1 = -6.6722e-6;
gamma2 = 1.4647e-8;
% Zstar = 1.204;  
tau_pi =  2.6; //% 2; //%  1.4; //% 3;
tau_Y =  0.125; //% 0.01; //% 0.5;
pE_ss = 0.01; //%  0.01;
A_ss = 1;
eta_ss = 1;

om1 = 3;
nu1 = 1.66;
delta0 = 0.01;
om0 = delta0*om1;
nu0 = 1/bbeta/pE_ss - (1-delta0+delta0*om1)/pE_ss;

% Zstar = 1.305533e+00;
% phi1 = 2.504318e+01;
% muL = 8.033215e+00;

Zstar = 1.268822e+00;
phi1 = 1.229083e-01;
muL = 2.076176e+01;

//% muM_ss = 0.4; //% 0.01;
set_param_value('muM_ss',muM_ss);

%%%%%%%%%%%%%%%%
% parameters to be estimated
varphiE = 	0.267	;
rho_A	=	0.785	;
rho_G	=	0.879	;
rho_eta	=	0.953	;
rho_E	=	0.481	;
rho_M	=	0.478	;

steady_state_JEEM2015;
G_ss =  value(1);
M_ss = value(2);
Y_ss = value(3);
Z_ss = value(4);
u_ss = value(5);
GDP_ss =  value(6);

int = Z_ss/Y_ss;

