function [lhs, rhs] = dynamic_resid(y, x, params, steady_state)
T = NaN(33, 1);
lhs = NaN(33, 1);
rhs = NaN(33, 1);
T(1) = params(4)/2;
T(2) = T(1)*(y(39)/y(6)-1)^2;
T(3) = params(4)*(y(72)/y(39)-1);
T(4) = y(33)^(1+params(33));
T(5) = y(36)-params(2)*y(41)^(1+params(3))/(1+params(3))-y(64)*T(4)/(1+params(33));
T(6) = T(5)^(-params(32));
T(7) = y(66)^(1+params(33));
T(8) = y(69)-params(2)*y(74)^(1+params(3))/(1+params(3))-y(64)*T(7)/(1+params(33));
T(9) = (-params(2))*y(41)^params(3);
T(10) = params(23)*y(59)^params(24)/params(24);
T(11) = y(59)^(params(24)-1);
T(12) = 1/y(86);
T(13) = y(79)+(1-y(62))*y(88)-y(60)*y(94)/y(40);
T(14) = (y(72)/y(39))^2;
T(15) = params(8)*y(57)^params(9);
T(16) = (y(59)*y(7))^params(5);
T(17) = y(41)^(1-params(5));
T(18) = 1/y(37);
T(19) = y(41)^(-params(5));
T(20) = (y(59)*y(7))^(params(5)-1);
T(21) = 1/y(36);
T(22) = params(1)*params(7)*y(86)^params(17);
T(23) = params(1)*params(7)*y(86)^(params(17)-1);
T(24) = params(7)*y(53)^params(17);
T(25) = (y(34)/params(39))^params(13);
T(26) = 1-T(2);
T(27) = T(26)-y(39)*params(4)*(y(39)/y(6)-1)/y(6);
T(28) = 1-(params(18)+params(19)*y(56)+params(20)*y(56)^2);
T(29) = y(86)^params(12);
T(30) = T(25)*T(29);
T(31) = params(1)*T(8)^(-params(32));
T(32) = T(31)/T(6);
T(33) = T(3)*y(88)*T(32);
lhs(1) = y(66)/y(50);
rhs(1) = params(40);
lhs(2) = y(63);
rhs(2) = T(5)^(1-params(32))/(1-params(32))+params(1)*y(96);
lhs(3) = y(62);
rhs(3) = params(21)*y(59)^params(22)/params(22);
lhs(4) = y(61);
rhs(4) = T(10)*y(7);
lhs(5) = params(21)*y(59)^(params(22)-1)+params(23)*y(60)*T(11);
rhs(5) = y(46);
lhs(6) = 1/y(45);
rhs(6) = T(12)*T(32);
lhs(7) = (-(T(6)*T(9)));
rhs(7) = T(6)*y(48);
lhs(8) = T(13)*T(32);
rhs(8) = y(55);
lhs(9) = 1;
rhs(9) = y(55)*T(27)+T(14)*T(33);
lhs(10) = y(40);
rhs(10) = y(7)*(1-y(62))+y(39)*T(26);
lhs(11) = y(34);
rhs(11) = y(39)+y(36)+y(38);
lhs(12) = y(50);
rhs(12) = y(61)*y(60)+y(34)+y(50)*T(15)*y(37)+y(6)*T(2);
lhs(13) = y(50);
rhs(13) = T(18)*T(17)*T(16)*y(35)*T(28);
lhs(14) = y(42)*T(19)*T(16)*y(35)*(1-params(5))*T(28);
rhs(14) = y(48);
lhs(15) = y(42)*T(17)*T(20)*y(35)*params(5)*T(28);
rhs(15) = y(46);
lhs(16) = params(6)*y(65);
rhs(16) = params(8)*params(9)*y(57)^(params(9)-1);
lhs(17) = y(44);
rhs(17) = params(17)/(params(17)-1)*(y(49)+y(54))/y(52);
lhs(18) = y(49);
rhs(18) = y(50)*y(42)*T(21)+T(22)*y(82);
lhs(19) = y(52);
rhs(19) = y(50)*T(21)+T(23)*y(85);
lhs(20) = y(54);
rhs(20) = y(50)*T(21)*(T(15)+params(6)*y(65)*(1-y(57)))+T(22)*y(87);
lhs(21) = 1;
rhs(21) = params(7)*y(53)^(params(17)-1)+(1-params(7))*y(44)^(1-params(17));
lhs(22) = y(37);
rhs(22) = (1-params(7))*y(44)^(-params(17))+T(24)*y(4);
lhs(23) = y(43);
rhs(23) = params(6)*y(65)*(1-y(57))+T(15)+y(42);
lhs(24) = y(66);
rhs(24) = y(37)*y(50)*params(6)*(1-y(57))+y(61)*params(36);
lhs(25) = y(56);
rhs(25) = y(66)+(1-params(11))*y(23)+params(10);
lhs(26) = y(58);
rhs(26) = y(50)*T(15)*y(37);
lhs(27) = y(47)+y(66)*y(65);
rhs(27) = y(38);
lhs(28) = params(1)*y(45);
rhs(28) = y(51)*T(30);
lhs(29) = log(y(35));
rhs(29) = (1-params(14))*log(params(25))+params(14)*log(y(2))+x(1);
lhs(30) = log(y(51));
rhs(30) = (1-params(16))*log(params(27))+params(16)*log(y(18))+x(3);
lhs(31) = log(y(38));
rhs(31) = (1-params(15))*log(params(26))+params(15)*log(y(5))+x(2);
lhs(32) = log(y(60));
rhs(32) = (1-params(31))*log(params(30))+params(31)*log(y(27))+x(4);
lhs(33) = log(y(64));
rhs(33) = (1-params(35))*log(params(34))+params(35)*log(y(31))+x(5);
end
