function [lhs, rhs] = static_resid(y, x, params)
T = NaN(20, 1);
lhs = NaN(33, 1);
rhs = NaN(33, 1);
T(1) = y(33)^(1+params(33));
T(2) = y(3)-params(2)*y(8)^(1+params(3))/(1+params(3))-y(31)*T(1)/(1+params(33));
T(3) = T(2)^(-params(32));
T(4) = (-params(2))*y(8)^params(3);
T(5) = params(23)*y(26)^params(24)/params(24);
T(6) = y(26)^(params(24)-1);
T(7) = params(8)*y(24)^params(9);
T(8) = 1/y(4);
T(9) = y(8)^(1-params(5));
T(10) = (y(26)*y(7))^params(5);
T(11) = 1-(params(18)+params(19)*y(23)+params(20)*y(23)^2);
T(12) = y(8)^(-params(5));
T(13) = (y(26)*y(7))^(params(5)-1);
T(14) = 1/y(3);
T(15) = y(20)^params(17);
T(16) = params(1)*params(7)*T(15);
T(17) = y(20)^(params(17)-1);
T(18) = (y(1)/params(39))^params(13);
T(19) = y(20)^params(12);
T(20) = T(18)*T(19);
lhs(1) = y(33)/y(17);
rhs(1) = params(40);
lhs(2) = y(30);
rhs(2) = T(2)^(1-params(32))/(1-params(32))+params(1)*y(30);
lhs(3) = y(29);
rhs(3) = params(21)*y(26)^params(22)/params(22);
lhs(4) = y(28);
rhs(4) = T(5)*y(7);
lhs(5) = params(21)*y(26)^(params(22)-1)+params(23)*y(27)*T(6);
rhs(5) = y(13);
lhs(6) = 1/y(12);
rhs(6) = params(1)*1/y(20);
lhs(7) = (-(T(3)*T(4)));
rhs(7) = T(3)*y(15);
lhs(8) = params(1)*(y(13)+(1-y(29))*y(22)-y(28)*y(27)/y(7));
rhs(8) = y(22);
lhs(9) = 1;
rhs(9) = y(22);
lhs(10) = y(7);
rhs(10) = y(6)+y(7)*(1-y(29));
lhs(11) = y(1);
rhs(11) = y(3)+y(6)+y(5);
lhs(12) = y(17);
rhs(12) = y(28)*y(27)+y(1)+y(17)*T(7)*y(4);
lhs(13) = y(17);
rhs(13) = T(8)*T(9)*T(10)*y(2)*T(11);
lhs(14) = y(9)*T(12)*T(10)*y(2)*(1-params(5))*T(11);
rhs(14) = y(15);
lhs(15) = y(9)*T(9)*T(13)*y(2)*params(5)*T(11);
rhs(15) = y(13);
lhs(16) = params(6)*y(32);
rhs(16) = params(8)*params(9)*y(24)^(params(9)-1);
lhs(17) = y(11);
rhs(17) = params(17)/(params(17)-1)*(y(16)+y(21))/y(19);
lhs(18) = y(16);
rhs(18) = y(17)*y(9)*T(14)+y(16)*T(16);
lhs(19) = y(19);
rhs(19) = y(17)*T(14)+y(19)*params(1)*params(7)*T(17);
lhs(20) = y(21);
rhs(20) = y(17)*T(14)*(T(7)+params(6)*y(32)*(1-y(24)))+y(21)*T(16);
lhs(21) = 1;
rhs(21) = params(7)*T(17)+(1-params(7))*y(11)^(1-params(17));
lhs(22) = y(4);
rhs(22) = (1-params(7))*y(11)^(-params(17))+y(4)*params(7)*T(15);
lhs(23) = y(10);
rhs(23) = params(6)*y(32)*(1-y(24))+T(7)+y(9);
lhs(24) = y(33);
rhs(24) = y(4)*y(17)*params(6)*(1-y(24))+y(28)*params(36);
lhs(25) = y(23);
rhs(25) = y(33)+y(23)*(1-params(11))+params(10);
lhs(26) = y(25);
rhs(26) = y(17)*T(7)*y(4);
lhs(27) = y(14)+y(33)*y(32);
rhs(27) = y(5);
lhs(28) = params(1)*y(12);
rhs(28) = y(18)*T(20);
lhs(29) = log(y(2));
rhs(29) = (1-params(14))*log(params(25))+log(y(2))*params(14)+x(1);
lhs(30) = log(y(18));
rhs(30) = (1-params(16))*log(params(27))+log(y(18))*params(16)+x(3);
lhs(31) = log(y(5));
rhs(31) = (1-params(15))*log(params(26))+log(y(5))*params(15)+x(2);
lhs(32) = log(y(27));
rhs(32) = (1-params(31))*log(params(30))+log(y(27))*params(31)+x(4);
lhs(33) = log(y(31));
rhs(33) = (1-params(35))*log(params(34))+log(y(31))*params(35)+x(5);
end
