function [T_order, T] = dynamic_g2_tt(y, x, params, steady_state, T_order, T)
if T_order >= 2
    return
end
[T_order, T] = JEEM2015.sparse.dynamic_g1_tt(y, x, params, steady_state, T_order, T);
T_order = 2;
if size(T, 1) < 133
    T = [T; NaN(133 - size(T, 1), 1)];
end
T(93) = getPowerDeriv(T(5),1-params(32),2);
T(94) = (-(params(2)*getPowerDeriv(y(41),1+params(3),2)/(1+params(3))));
T(95) = (-(y(64)*getPowerDeriv(y(33),1+params(33),2)/(1+params(33))));
T(96) = getPowerDeriv(T(5),(-params(32)),2);
T(97) = (T(6)*T(6)*(-(T(31)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)+T(6)*T(37)))/(T(6)*T(6)*T(6)*T(6));
T(98) = (-(T(37)*params(1)*T(40)))/(T(6)*T(6));
T(99) = (T(6)*T(6)*(-(T(31)*T(62)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)*T(62)+T(6)*T(37)*T(62)))/(T(6)*T(6)*T(6)*T(6));
T(100) = (-(T(37)*T(68)))/(T(6)*T(6));
T(101) = (T(6)*T(6)*(-(T(37)*T(83)+T(31)*T(81)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(102) = (T(6)*T(6)*(-(T(31)*T(87)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(103) = (-(T(37)*T(91)))/(T(6)*T(6));
T(104) = getPowerDeriv(T(8),(-params(32)),2);
T(105) = (-(params(1)*T(40)*T(37)*T(62)))/(T(6)*T(6));
T(106) = T(82)*T(104);
T(107) = (T(6)*params(1)*T(106)-params(1)*T(40)*T(84))/(T(6)*T(6));
T(108) = (-(params(1)*T(40)*T(37)*T(87)))/(T(6)*T(6));
T(109) = (T(6)*T(6)*(-(T(31)*(T(62)*T(62)*T(96)+T(37)*T(94))))-(-(T(31)*T(37)*T(62)))*(T(6)*T(37)*T(62)+T(6)*T(37)*T(62)))/(T(6)*T(6)*T(6)*T(6));
T(110) = (-(T(37)*T(62)*T(68)))/(T(6)*T(6));
T(111) = (T(6)*T(6)*(-(T(37)*T(62)*T(83)+T(31)*T(62)*T(81)*T(96)))-(-(T(31)*T(37)*T(62)))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(112) = (T(6)*T(6)*(-(T(31)*T(62)*T(87)*T(96)))-(-(T(31)*T(37)*T(62)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(113) = (-(T(37)*T(62)*T(91)))/(T(6)*T(6));
T(114) = params(1)*(T(67)*T(67)*T(104)+T(40)*(-(params(2)*getPowerDeriv(y(74),1+params(3),2)/(1+params(3)))))/T(6);
T(115) = (T(6)*params(1)*T(67)*T(106)-T(68)*T(84))/(T(6)*T(6));
T(116) = (-(T(68)*T(37)*T(87)))/(T(6)*T(6));
T(117) = params(1)*T(67)*T(90)*T(104)/T(6);
T(118) = (T(6)*T(6)*(T(83)*T(84)+T(6)*params(1)*T(82)*T(106)-(T(83)*T(84)+T(31)*T(81)*T(81)*T(96)))-(T(6)*T(83)-T(31)*T(84))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(119) = T(81)*T(87)*T(96)+T(37)*(-(T(86)/(1+params(33))));
T(120) = (T(6)*T(6)*(T(83)*T(37)*T(87)-T(31)*T(119))-(T(6)*T(83)-T(31)*T(84))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(121) = (T(6)*params(1)*(T(82)*T(90)*T(104)+T(40)*(-(T(89)/(1+params(33)))))-T(84)*T(91))/(T(6)*T(6));
T(122) = (T(6)*T(6)*(-(T(31)*(T(87)*T(87)*T(96)+T(37)*T(95))))-(-(T(31)*T(37)*T(87)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(123) = (-(T(37)*T(87)*T(91)))/(T(6)*T(6));
T(124) = params(1)*(T(90)*T(90)*T(104)+T(40)*(-(y(64)*getPowerDeriv(y(66),1+params(33),2)/(1+params(33)))))/T(6);
T(125) = T(1)*(T(44)*(-((-y(39))*(y(6)+y(6))))/(y(6)*y(6)*y(6)*y(6))+T(43)*2*T(43));
T(126) = (-T(125));
T(127) = params(8)*getPowerDeriv(y(57),params(9),2);
T(128) = getPowerDeriv(y(59)*y(7),params(5),2);
T(129) = getPowerDeriv(y(41),1-params(5),2);
T(130) = getPowerDeriv(y(59)*y(7),params(5)-1,2);
T(131) = (-((-(params(17)/(params(17)-1)))/(y(52)*y(52))));
T(132) = (y(36)+y(36))/(y(36)*y(36)*y(36)*y(36));
T(133) = params(1)*params(7)*getPowerDeriv(y(86),params(17),2);
end
