function [g1, T_order, T] = static_g1(y, x, params, sparse_rowval, sparse_colval, sparse_colptr, T_order, T)
if nargin < 8
    T_order = -1;
    T = NaN(32, 1);
end
[T_order, T] = JEEM2015.sparse.static_g1_tt(y, x, params, T_order, T);
g1_v = NaN(117, 1);
g1_v(1)=1;
g1_v(2)=(-1);
g1_v(3)=(-(y(18)*T(19)*1/params(39)*getPowerDeriv(y(1)/params(39),params(13),1)));
g1_v(4)=(-(T(8)*T(9)*T(10)*T(11)));
g1_v(5)=y(9)*T(12)*T(10)*(1-params(5))*T(11);
g1_v(6)=y(9)*T(9)*T(13)*params(5)*T(11);
g1_v(7)=1/y(2)-params(14)*1/y(2);
g1_v(8)=(-(T(21)/(1-params(32))));
g1_v(9)=(-(T(4)*T(22)))-y(15)*T(22);
g1_v(10)=(-1);
g1_v(11)=(-(y(17)*y(9)*(-1)/(y(3)*y(3))));
g1_v(12)=(-(y(17)*(-1)/(y(3)*y(3))));
g1_v(13)=(-(y(17)*(T(7)+params(6)*y(32)*(1-y(24)))*(-1)/(y(3)*y(3))));
g1_v(14)=(-(y(17)*T(7)));
g1_v(15)=(-(T(9)*T(10)*y(2)*T(11)*(-1)/(y(4)*y(4))));
g1_v(16)=1-params(7)*T(15);
g1_v(17)=(-(y(17)*params(6)*(1-y(24))));
g1_v(18)=(-(y(17)*T(7)));
g1_v(19)=(-1);
g1_v(20)=(-1);
g1_v(21)=1/y(5)-params(15)*1/y(5);
g1_v(22)=(-1);
g1_v(23)=(-1);
g1_v(24)=(-T(5));
g1_v(25)=params(1)*(-((-(y(28)*y(27)))/(y(7)*y(7))));
g1_v(26)=1-(1-y(29));
g1_v(27)=(-(T(8)*T(9)*y(2)*T(11)*y(26)*T(23)));
g1_v(28)=y(9)*T(12)*y(2)*(1-params(5))*T(11)*y(26)*T(23);
g1_v(29)=y(9)*T(9)*y(2)*params(5)*T(11)*y(26)*T(24);
g1_v(30)=(-(T(21)*T(25)/(1-params(32))));
g1_v(31)=(-(T(4)*T(22)*T(25)+T(3)*(-params(2))*getPowerDeriv(y(8),params(3),1)))-y(15)*T(22)*T(25);
g1_v(32)=(-(T(8)*T(10)*y(2)*T(11)*T(26)));
g1_v(33)=y(9)*T(10)*y(2)*(1-params(5))*T(11)*getPowerDeriv(y(8),(-params(5)),1);
g1_v(34)=y(9)*T(13)*y(2)*params(5)*T(11)*T(26);
g1_v(35)=T(12)*T(10)*y(2)*(1-params(5))*T(11);
g1_v(36)=T(9)*T(13)*y(2)*params(5)*T(11);
g1_v(37)=(-(y(17)*T(14)));
g1_v(38)=(-1);
g1_v(39)=1;
g1_v(40)=1;
g1_v(41)=(-((1-params(7))*getPowerDeriv(y(11),1-params(17),1)));
g1_v(42)=(-((1-params(7))*getPowerDeriv(y(11),(-params(17)),1)));
g1_v(43)=(-1)/(y(12)*y(12));
g1_v(44)=params(1);
g1_v(45)=(-1);
g1_v(46)=params(1);
g1_v(47)=(-1);
g1_v(48)=1;
g1_v(49)=(-T(3));
g1_v(50)=(-1);
g1_v(51)=T(27);
g1_v(52)=1-T(16);
g1_v(53)=(-y(33))/(y(17)*y(17));
g1_v(54)=1-T(7)*y(4);
g1_v(55)=1;
g1_v(56)=(-(y(9)*T(14)));
g1_v(57)=(-T(14));
g1_v(58)=(-(T(14)*(T(7)+params(6)*y(32)*(1-y(24)))));
g1_v(59)=(-(y(4)*params(6)*(1-y(24))));
g1_v(60)=(-(T(7)*y(4)));
g1_v(61)=(-T(20));
g1_v(62)=1/y(18)-params(16)*1/y(18);
g1_v(63)=(-((-(params(17)/(params(17)-1)*(y(16)+y(21))))/(y(19)*y(19))));
g1_v(64)=1-params(1)*params(7)*T(17);
g1_v(65)=(-(params(1)*(-1)/(y(20)*y(20))));
g1_v(66)=(-(y(16)*T(29)));
g1_v(67)=(-(y(19)*params(1)*params(7)*T(30)));
g1_v(68)=(-(y(21)*T(29)));
g1_v(69)=(-(params(7)*T(30)));
g1_v(70)=(-(y(4)*params(7)*T(28)));
g1_v(71)=(-(y(18)*T(18)*getPowerDeriv(y(20),params(12),1)));
g1_v(72)=T(27);
g1_v(73)=1-T(16);
g1_v(74)=params(1)*(1-y(29))-1;
g1_v(75)=(-1);
g1_v(76)=(-(T(8)*T(9)*T(10)*y(2)*(-(params(19)+params(20)*2*y(23)))));
g1_v(77)=y(9)*T(12)*T(10)*y(2)*(1-params(5))*(-(params(19)+params(20)*2*y(23)));
g1_v(78)=y(9)*T(9)*T(13)*y(2)*params(5)*(-(params(19)+params(20)*2*y(23)));
g1_v(79)=1-(1-params(11));
g1_v(80)=(-(y(4)*y(17)*T(31)));
g1_v(81)=(-(params(8)*params(9)*getPowerDeriv(y(24),params(9)-1,1)));
g1_v(82)=(-(y(17)*T(14)*(T(31)+params(6)*(-y(32)))));
g1_v(83)=(-(T(31)+params(6)*(-y(32))));
g1_v(84)=(-(y(4)*y(17)*(-params(6))));
g1_v(85)=(-(y(4)*y(17)*T(31)));
g1_v(86)=1;
g1_v(87)=(-(params(21)*getPowerDeriv(y(26),params(22),1)/params(22)));
g1_v(88)=(-(y(7)*params(23)*getPowerDeriv(y(26),params(24),1)/params(24)));
g1_v(89)=params(21)*getPowerDeriv(y(26),params(22)-1,1)+params(23)*y(27)*getPowerDeriv(y(26),params(24)-1,1);
g1_v(90)=(-(T(8)*T(9)*y(2)*T(11)*y(7)*T(23)));
g1_v(91)=y(9)*T(12)*y(2)*(1-params(5))*T(11)*y(7)*T(23);
g1_v(92)=y(9)*T(9)*y(2)*params(5)*T(11)*y(7)*T(24);
g1_v(93)=params(23)*T(6);
g1_v(94)=params(1)*(-(y(28)/y(7)));
g1_v(95)=(-y(28));
g1_v(96)=1/y(27)-params(31)*1/y(27);
g1_v(97)=1;
g1_v(98)=params(1)*(-(y(27)/y(7)));
g1_v(99)=(-y(27));
g1_v(100)=(-params(36));
g1_v(101)=1;
g1_v(102)=params(1)*(-y(22));
g1_v(103)=y(7);
g1_v(104)=1-params(1);
g1_v(105)=(-(T(21)*(-(T(1)/(1+params(33))))/(1-params(32))));
g1_v(106)=(-(T(4)*T(22)*(-(T(1)/(1+params(33))))))-y(15)*T(22)*(-(T(1)/(1+params(33))));
g1_v(107)=1/y(31)-params(35)*1/y(31);
g1_v(108)=params(6);
g1_v(109)=(-(y(17)*T(14)*params(6)*(1-y(24))));
g1_v(110)=(-(params(6)*(1-y(24))));
g1_v(111)=y(33);
g1_v(112)=1/y(17);
g1_v(113)=(-(T(21)*T(32)/(1-params(32))));
g1_v(114)=(-(T(4)*T(22)*T(32)))-y(15)*T(22)*T(32);
g1_v(115)=1;
g1_v(116)=(-1);
g1_v(117)=y(32);
if ~isoctave && matlab_ver_less_than('9.8')
    sparse_rowval = double(sparse_rowval);
    sparse_colval = double(sparse_colval);
end
g1 = sparse(sparse_rowval, sparse_colval, g1_v, 33, 33);
end
