

model;
# Gamma = gamma0 + gamma1*M + gamma2*M^2;
#R_ss = 1/bbeta;
#Pi_ss = 1;
# cost = gammaI/2*(I/I(-1)-1)^2;
# cost_pi = gammaI*(I/I(-1) -1);
# cost_pi_plus = gammaI*(I(+1)/I -1);
 # UC = (C - muL*L^(1+phi)/(1+phi)- muM*Z(-1)^(1+phiM)/(1+phiM))^(-sigC);
 # UC_plus = (C(+1) - muL*L(+1)^(1+phi)/(1+phi)- muM*Z^(1+phiM)/(1+phiM))^(-sigC);
 # UL = -muL*L^phi*UC;

%  # UC = (C^(-sigC) - muL*L^(1+phi)/(1+phi)- muM*Z(-1)^(1+phiM)/(1+phiM));
%  # UC_plus = (C(+1)^(-sigC) - muL*L(+1)^(1+phi)/(1+phi)- muM*Z^(1+phiM)/(1+phiM));
%  # UL = -muL*L^phi*UC;

% # UC = C^(-sigC)*exp(muL*(sigC-1)/(1+phi)*L^(1+phi))*exp(muM*(sigC-1)/(1+phiM)*Z(-1)^(1+phiM));
% # UC_plus = C(+1)^(-sigC)*exp(muL*(sigC-1)/(1+phi)*L(+1)^(1+phi))*exp(muM(+1)*(sigC-1)/(1+phiM)*Z^(1+phiM));
% # UL = -muL*L^phi*UC;
# sdf = bbeta*UC_plus/UC;

@#if policy == 1
    #pz = pz_ss;
    @#elseif policy == 3
        Z/Y=int;
@#endif

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Equilibrium equations.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% V = C^(1-sigC)/(1-sigC)*exp(muL*(sigC-1)/(1+phi)*L^(1+phi))*exp(muM*(sigC-1)/(1+phiM)*Z(-1)^(1+phiM)) + bbeta*V(+1);
%  V = (C^(1-sigC)/(1-sigC) - muL*L^(1+phi)/(1+phi)- muM*Z(-1)^(1+phiM)/(1+phiM)) + bbeta*V(+1);
 V = (C - muL*L^(1+phi)/(1+phi)- muM*Z(-1)^(1+phiM)/(1+phiM))^(1-sigC)/(1-sigC) + bbeta*V(+1);
% utility = (C - muL*L^(1+phi)/(1+phi)- muM*Z(-1)^(1+phiM)/(1+phiM))^(1-sigC)/(1-sigC);

deltaK = om0*u^om1/om1;
E = nu0*u^nu1/nu1*K(-1);

@#if endo_u == 1
    om0*u^(om1-1) + pE*nu0*u^(nu1-1) = rk;
    @#elseif endo_u == 0
        u = u_ss;
@#endif

1/R = sdf*(1/Pi(+1));

-UL = w*UC;

sdf*(rk(+1)+ (1-deltaK)*q(+1) - pE*E(+1)/K) = q;

1 = q*((1- cost)-cost_pi*I/I(-1)) + sdf*q(+1)*cost_pi_plus*(I(+1)/I)^2;

K = (1-deltaK)*K(-1) + I*(1-cost);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
GDP  = C + I + G ;
Y = GDP + phi1*U^phi2*Y*Dp + cost*I(-1) + pE*E;

Y = (1 - Gamma)*A*(u*K(-1))^aalpha*L^(1-aalpha)*(1/Dp);

(1-aalpha)*(1-Gamma)*A*(u*K(-1))^aalpha*L^(-aalpha)*Psi = w;

aalpha*(1-Gamma)*A*(u*K(-1))^(aalpha-1)*L^(1-aalpha)*Psi = rk;

varphi*pz = phi1*phi2*U^(phi2 - 1);

pstar = theta/(theta - 1) *(X + Omega)/Theta;

X = 1/C*Psi*Y + nu*bbeta*Pi(+1)^theta*X(+1);

Theta = 1/C*Y + nu*bbeta*Pi(+1)^(theta-1)*Theta(+1);

Omega = 1/C*(phi1*U^phi2 + pz*(1-U)*varphi)*Y + nu*bbeta*Pi(+1)^theta*Omega(+1);

1 = nu*Pi^(theta-1) + (1-nu)*pstar^(1-theta);

Dp = (1-nu)*pstar^(-theta) + nu*Pi^theta*Dp(-1);

MC = Psi + phi1*U^phi2 + pz*(1-U)*varphi;

Z = (1-U)*varphi*Y*Dp + varphiE*E;

M = (1-deltaM)*M(-1) + Z + Zstar;

CA = phi1*U^phi2*Y*Dp;

T + pz*Z = G;

    //% R/R_ss = (Pi/Pi_ss)^tau_pi*(Y/Y_ss)^tau_Y*eta;
   R/R_ss = (Pi(+1)/Pi_ss)^tau_pi*(GDP/GDP_ss)^tau_Y*eta;
  //%     R/R_ss = (R(-1)/R_ss)^(0.80)*(Pi/Pi_ss)^(0.2*tau_pi)*(GDP/GDP_ss)^(0.2*tau_Y)*eta;
// IACOVIELLO (2005) R/R_ss = (R(-1)/R_ss)^(0.73)*(Pi/Pi_ss)^(0.27*tau_pi)*(GDP/GDP_ss)^(0.27*tau_Y)*eta;
//%  R/R_ss = (R(-1)/R_ss)^(0.5)*(Pi/Pi_ss)^(0.5*tau_pi)*(GDP/GDP_ss)^(0.5*tau_Y)*eta;
//%    R/R_ss = (R(-1)/R_ss)^(0.75)*(Pi/Pi_ss)^(0.25*tau_pi)*(GDP/GDP_ss)^(0.25*tau_Y)*eta;


log(A) = (1-rho_A)*log(A_ss) + rho_A*log(A(-1)) + eps_A;
log(eta) = (1-rho_eta)*log(eta_ss) + rho_eta*log(eta(-1)) + eps_eta;
log(G) = (1-rho_G)*log(G_ss) + rho_G*log(G(-1)) + eps_G;
log(pE) =  (1-rho_E)*log(pE_ss) +  rho_E*log(pE(-1)) + eps_E;
log(muM) =  (1-rho_M)*log(muM_ss) +  rho_M*log(muM(-1)) + eps_M;
end;